com.amazonaws.services.elastictranscoder.model

## Class PipelineOutputConfig

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.PipelineOutputConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class PipelineOutputConfig
    extends Object
    implements Serializable, Cloneable

The `PipelineOutputConfig` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PipelineOutputConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PipelineOutputConfig` `clone()`
`boolean` `equals(Object obj)`
`String` `getBucket()` The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files.
`List<Permission>` `getPermissions()` Optional.
`String` `getStorageClass()` The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.
`int` `hashCode()`
`void` `setBucket(String bucket)` The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files.
`void` `setPermissions(Collection<Permission> permissions)` Optional.
`void` `setStorageClass(String storageClass)` The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PipelineOutputConfig` `withBucket(String bucket)` The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files.
`PipelineOutputConfig` `withPermissions(Collection<Permission> permissions)` Optional.
`PipelineOutputConfig` `withPermissions(Permission... permissions)` Optional.
`PipelineOutputConfig` `withStorageClass(String storageClass)` The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PipelineOutputConfig

    public PipelineOutputConfig()

### Method Detail

#### setBucket

    public void setBucket(String bucket)

The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

- You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

- You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

- You do not want to specify the permissions that Elastic Transcoder grants to the files.

- You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

Parameters:
  `bucket` - The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

  - You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

  - You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

  - You do not want to specify the permissions that Elastic Transcoder grants to the files.

  - You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

  If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

#### getBucket

    public String getBucket()

The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

- You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

- You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

- You do not want to specify the permissions that Elastic Transcoder grants to the files.

- You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

Returns:
  The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

  - You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

  - You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

  - You do not want to specify the permissions that Elastic Transcoder grants to the files.

  - You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

  If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

#### withBucket

    public PipelineOutputConfig withBucket(String bucket)

The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

- You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

- You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

- You do not want to specify the permissions that Elastic Transcoder grants to the files.

- You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

Parameters:
  `bucket` - The Amazon S3 bucket in which you want Elastic Transcoder to save the transcoded files. Specify this value when all of the following are true:

  - You want to save transcoded files, thumbnails (if any), and playlists (if any) together in one bucket.

  - You do not want to specify the users or groups who have access to the transcoded files, thumbnails, and playlists.

  - You do not want to specify the permissions that Elastic Transcoder grants to the files.

  - You want to associate the transcoded files and thumbnails with the Amazon S3 Standard storage class.

  If you want to save transcoded files and playlists in one bucket and thumbnails in another bucket, specify which users can access the transcoded files or the permissions the users have, or change the Amazon S3 storage class, omit OutputBucket and specify values for `ContentConfig` and `ThumbnailConfig` instead.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStorageClass

    public void setStorageClass(String storageClass)

The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

Parameters:
  `storageClass` - The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

#### getStorageClass

    public String getStorageClass()

The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

Returns:
  The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

#### withStorageClass

    public PipelineOutputConfig withStorageClass(String storageClass)

The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.

Parameters:
  `storageClass` - The Amazon S3 storage class, `Standard` or `ReducedRedundancy`, that you want Elastic Transcoder to assign to the video files and playlists that it stores in your Amazon S3 bucket.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getPermissions

    public List<Permission> getPermissions()

Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

Returns:
  Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

  If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

  If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

#### setPermissions

    public void setPermissions(Collection<Permission> permissions)

Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

Parameters:
  `permissions` - Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

  If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

  If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

#### withPermissions

    public PipelineOutputConfig withPermissions(Permission... permissions)

Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

NOTE: This method appends the values to the existing list (if any). Use `setPermissions(java.util.Collection)` or `withPermissions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `permissions` - Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

  If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

  If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withPermissions

    public PipelineOutputConfig withPermissions(Collection<Permission> permissions)

Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

Parameters:
  `permissions` - Optional. The `Permissions` object specifies which users and/or predefined Amazon S3 groups you want to have access to transcoded files and playlists, and the type of access you want them to have. You can grant permissions to a maximum of 30 users and/or predefined Amazon S3 groups.

  If you include `Permissions`, Elastic Transcoder grants only the permissions that you specify. It does not grant full permissions to the owner of the role specified by `Role`. If you want that user to have full control, you must explicitly grant full control to the user.

  If you omit `Permissions`, Elastic Transcoder grants full control over the transcoded files and playlists to the owner of the role specified by `Role`, and grants no other permissions to any other user or group.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PipelineOutputConfig clone()

Overrides:
  `clone` in class `Object`